function [XYZ] = GEOD_to_XYZ(geod)
% Function to convert geodectic lat, long and height to XYZ
% geod is co-latitude (deg), longitude (deg) and height (m)
% Parameters are for WGS84 ellipsoid

ef = 1/298.257222101; erad =6378137.; 
eccsq = 2*ef - ef^2;
rad_curve = erad/sqrt(1 - eccsq*cos(geod(1)*pi/180)^2);
XYZ = [(rad_curve+geod(3))*sin(geod(1)*pi/180)*cos(geod(2)*pi/180) ...
  (rad_curve+geod(3))*sin(geod(1)*pi/180)*sin(geod(2)*pi/180)  ...
  ((1-eccsq)*rad_curve+geod(3))*cos(geod(1)*pi/180) ];

