function Stot = NEU_to_GEOD(Sval)
% Function conver NEU components to geodetic lat long and ht
% Inverse of gen_util/loc_to_geod.f
%

ef = 1/298.257222101; erad =6378137.; 
%
% Get Geodetic lat
geod_lat = Sval(1)/erad; % Units are radians 
% anint(colat*2.d4)/ 2.d4
colat_trun = fix((pi/2-geod_lat)*2.e4 + 0.5)/2.e4;
geod_long = Sval(2)/erad/sin(colat_trun);

% Return values in degrees
Stot(1) = geod_lat*180/pi;
Stot(2) = geod_long*180/pi;
Stot(3) = Sval(3);
