function [np, ores] = NumPar(anpar,sapar,exprt,lores,breaks)
% [np, ores] = NumPar(anpar,sapar,exprt,lores,breaks): Function to get
% number of paramaters and mask for those that should be excluded if linear
% only residuals

% Start counting parameters
np = 2 ;    % Offset and Rate
if anpar, np = np + 2 ; end   % Annual
if sapar, np = np + 2 ; end   % Add Semiannaul (this can be now be done separately)
%
% Now add up breaks and exponents
nb = 0;
if ~isempty(breaks) 
    nb = length(breaks(:,1));
    for i = 1:nb
        if breaks(i,2) == 0 % | abs(breaks(i,2)-breaks(i,1)) < 0.002   % Either zero or < 1day
            np = np + 1;
        else   %   This is an exponent, see if new rate needed as well
            np = np + 2;
            if exprt, np = np + 1; end
        end
    end
end
% Now make up the mask which will set which parameters are used in the
% linear only residuals
ores = true(1,np);
if lores   % then linear only; turn off some parameters
    noeqoff = get(findobj(gcf,'Tag','NoEQOff'),'Value');
    nc = 2;
    if anpar, nc = nc + 2; ores([nc-1 nc]) = [0 0]; end
    if sapar, nc = nc + 2; ores([nc-1 nc]) = [0 0]; end
    for i = 1:nb
        if breaks(i,2) == 0 % | abs(breaks(i,2)-breaks(i,1)) < 0.002   % Either zero or < 1day
            nc = nc + 1;
        else
            nc = nc + 2;
            % MOD TAH 081024: Added feature not to remove jumps due to
            % earthquakes. 
            % MOD TAH 090206: Use the NoEQOff button to see if offset
            % removed
            if breaks(i,6) > 0 && noeqoff, ores(nc-1) = 0 ; end  % Setting false means parameter retained.
            ores(nc) = 0;
            if exprt, nc = nc + 1; ores(nc) = 0; end
        end
    end
end
        
            
