function [offs, aligns] = GetOffset(hf)
% offs = GetOffset: returns the values of the offset stored in the OffValue
% handle.

% Find the handle
hov = findobj(hf,'Tag','Offvalue');
offstr = get(hov,'String');
% If the string is not empty, read the values
if ~isempty(offstr)
    offs = sscanf(offstr, '%f %f');
else
    offs = [0.0 0.0];
end

% Get the alignment values
hov = findobj(hf,'Tag','Alignvalue');
Alignstr = get(hov,'String');
% If the string is not empty, read the values
if ~isempty(Alignstr)
    aligns = sscanf(Alignstr, '%f %f');
else
    aligns = [0.0 0.0 0.0];
end

