function box = MakeProfBox(llint,llfin,lb)
% box = MakeProfBox(llint,llfin,lb): Make box from initial and final
% positions of center line and a point that is off the box
%
% Get the angle between the new point and the baseline.
% Scale all the longitude values by the apsect ratio and then undo at the
% end
asp = get(gca,'DataAspectRatio');
%
% Get Longitudes relative to initial point and scale dlong values
dbase = (llfin-llint).*[asp(2) 1];
dvec = (lb-llint).*[asp(2) 1];
%
% Get the unit vector along the base and ang between the base and the
% moving poing
ldbase = norm(dbase); ubase = dbase/ldbase;
ldvec = norm(dvec); uvec = dvec/ldvec;
ang = acos(uvec*ubase');
% Get the distance off the baseline
db = ldvec*sin(ang);
% Now constuct the box with the base as unit vector
% Get current aspect ratio
%asp = get(gca,'DataAspectRatio');
boxu = [0    0 ldbase ldbase  0;
        db -db   -db    db db];
R = [ubase(1) -ubase(2); ubase(2) ubase(1)];
rbox = R*boxu.*[1/asp(2) 1/asp(2) 1/asp(2) 1/asp(2) 1/asp(2); 1 1 1 1 1]; 
box = (rbox + [llint([1 1 1 1 1]);llint([2 2 2 2 2])])';
