function [veln, nmn] = Reduce(veli,nmi,dl)
% [veln, nmn] = Reduce(vel,nm,dl): Reduces a velocity filed

% Get the current figure size
xl = xlim; yl = ylim;
px = [xl(1) xl(2) xl(2) xl(1) xl(1)];
py = [yl(1) yl(1) yl(2) yl(2) yl(1)];
in = inpolygon(veli(1,:), veli(2,:), px, py);
vel = veli(:,in); nm = nmi(in,:);

veln = []; nmn=[];
numv = length(vel(1,:));
for i = xl(1)-dl:dl:xl(2)+dl
    for j = yl(1)-dl:dl:yl(2)+dl
        % See who is closest to center weighted by sigma
        mind = 1.e10; nr = 0;
        for k = 1:numv
            if vel(1,k)>i-dl/2 & vel(1,k)<i+dl/2 & ...
               vel(2,k)>j-dl/2 & vel(2,k)<j+dl/2 
                % Point within range
                w = exp(((vel(1,k)-i)^2+(vel(2,k)-j)^2))*(vel(7,k)^2+vel(8,k)^2);
                vel(4,k) = log10(w); vel(3,k)=0;
                if w < mind, mind = w; nr = k; end
            end
        end
        if nr > 0
            veln = [veln vel(:,nr)];
            nmn = [nmn; nm(nr,:)];
        end
    end
end

veln = vel; nmn = nm;
                
           
