function ShowArrow(hf,ha)
% ShowArrow: Plots the arror scale on the figure

% Find the arrow value text box and get the handles to the current scales
harl = findobj(hf,'Tag','LAlnLabel');
hars = get(harl,'UserData');
try, delete(hars), end
%
% Now get the axes size
xlim = get(ha,'Xlim'); ylim = get(ha,'Ylim');
%
% Now get the size of arrow we want to plot
vellinf = getVelinf(hf, 'VelName1');
arrh = 20/vellinf.ArrowH; arrv = 20/vellinf.ArrowV;
hfin = SetArrLen(arrh); vfin = SetArrLen(arrv);
%
% Compute position for arrow (5% in from BL corner)
lng = xlim(1) + (xlim(2)-xlim(1))*0.05; 
lat = ylim(1) + (ylim(2)-ylim(1))*0.05;
%
% Set up velocity line to plot
velarr = [lng; lat; hfin; 0.0; hfin; 0.0; 0.0; 0.0; 0.00; vfin; vfin; 0.0];
namarr = []; llsize = [xlim ylim];
arrowstr = GenArrowStr(0);
hndlha = Hplot(ha,namarr,velarr,llsize,vellinf,arrowstr);
%
% Now write values
strh = sprintf('%d mm/yr',hfin); strv = sprintf('%d mm/yr',vfin);
hth = []; htv=[];
if vellinf.DisplayH
    hth = text(lng,lat,strh,'VerticalAlignment','top','FontWeight','bold');
end
if vellinf.DisplayV
    htv = text(lng,lat,strv,'VerticalAlignment','bottom','FontWeight','bold','Rotation',90);
end

% Now save the handles
hds = [hndlha.HVec; hndlha.VVec; hth; htv];
set(harl,'UserData',hds);



