function xy = loadfeat(fn);
% Function to load the features files.  Works like load but should work in
% the exectuable version of the file
%
% Open the file
fid = fopen(fn,'r'); xy = [];
if fid > 0 
    % File open OK; now read the file
    eof = 0;
    xyr = [];
    while eof == 0
        xyr = [xyr ; fscanf(fid,'%f')];  % Will terminate when NaN or EOF found
        % Read the NaN line and check eof
        line = fgetl(fid);
        if line == -1    % EOF of found
            eof = 1;
        else
            % Add NaN's to xyr
            xyr = [xyr ; NaN ; NaN];
        end
    end
    % Now reshape
    xy = reshape(xyr,2,length(xyr)/2);
    xy = xy';
else
    msg = sprintf('Error opening feature file %s',fn);
    errordlg(msg);
end

